﻿@{
    ViewBag.Title = "Home Page";
}

<br />
<br />
<div class="row">
    <div class="col-md-6">
        <div class="row">
            @using (Html.BeginForm("Upload", "Home", FormMethod.Post,
            new { enctype = "multipart/form-data" }))
            {
                <input type="radio" name="agreementType" value="agreement" id="rbAgremeent" @(ViewBag.ActionAgreement == true ? "checked='true'" : "") >
                <label for="rbAgremeent">Create Agreement&nbsp;&nbsp;&nbsp;</label>

                <input type="radio" name="agreementType" value="overAndAbove" id="rboverAndAbove" @(ViewBag.ActionOverAndAbove == true ? "checked='true'" : "") >
                <label for="rboverAndAbove">Create Over And Above</label><br><br>

                @*<input type="radio" name="agreementType" value="agreement" id="rbAgremeent" checked> <span>Create Agreement&nbsp;&nbsp;&nbsp;</span> 
                <input type="radio" name="agreementType" value="overAndAbove" id="rboverAndAbove"> <span>Create Over And Above</span><br><br>*@

                <label for="file">Select File:</label>
                <input type="file" name="file" id="file" /><br>

            
                <input type="submit" class="btn btn-primary" value="Upload File" />
                <br><br>
            
                @ViewBag.Message

            }
            <div id="divResult">
                @if (TempData.ContainsKey("TotalHeader") && ViewBag.IsFailed == null && ViewBag.IsUploaded == true)
                {
                    <label>Total Generated Header : @TempData["TotalHeader"]</label>
                    <label>Click download button below to save to your drive </label>
                    using (Html.BeginForm("DownloadFile", "Home", FormMethod.Post))
                    {
                        <input type="hidden" name="hideGuidName" id="hideGuid" value="@TempData["ConversionGuid"]" />
                        <button type="submit" class="btn btn-primary">Download</button>
                    }

                }

            </div>


        </div>

    </div>
    <div class="col-md-6">
        <div class="row">
            <label>Download Tempate</label>
            <br />
            <a class="btn btn-success" href="~/Template/Upload_Template.xlsx">Click Here</a>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        @if (ViewBag.IsFailed != null)
        {
            if (ViewBag.IsFailed == true)
            {
                <h3>List Error Log</h3>
                <table id="tblErrorLog" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th width="30px" style="text-align:center">No</th>
                            <th style="text-align:center">Error Detail</th>
                        </tr>

                    </thead>
                    <tbody>
                        @{int i = 0;}
                        @foreach (var error in ViewBag.ErrorLog)
                    {
                        i++;
                            <tr>
                                <td style="text-align:center">@i</td>
                                <td>@error</td>
                            </tr>
                        }

                    </tbody>
                </table>
                                }
                            }
    </div>
</div>

@section scripts{
    <script>

        $(document).ready(function () {

            $('#tblErrorLog').DataTable();

            //$("#uploadFile").click(function () {
            //    $("#male").prop("checked", true);
            //});
            
            $("input[type=file]").on('change', function () {
                $('#divResult').hide();
            });
           
            $(window).keydown(function (e) {
                if (e.which == 116) {
                    e.preventDefault();
                    var l = window.location;
                    var lp = (l + "?").split('?');
                    window.location = lp[0] + "?f5=1&" + lp[1];
                    return false;
                }
            });

        });

    </script>
}